## vdjtools 1.2.1%2Bgit20190311%2Brepack

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, \
  repack, repacksuffix=+repack, compression=xz, dversionmangle=s/\+repack\d*//" \
  https://github.com/mikessh/vdjtools/tags .*/v?([0-9.]*[0-9]).tar.gz

## vdjtools 1.2.1+git20190311

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/vdjtools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/vdjtools.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/vdjtools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/vdjtools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
vdjtools (1.2.1+git20190311-1) unstable; urgency=medium

  * Initial release (Closes: #903207)

    Upstream accepted my patch to extend the gradle search path
    for jars.

    Added new patch to find the commons-math3 library.
    https://github.com/mikessh/vdjtools/pull/128/commits/177014136a716416b3b697ce31df365472066225

 -- Steffen Moeller <moeller@debian.org>  Wed, 14 Aug 2019 17:38:26 +0200
  

vdjtools (1.2.1-1) unstable; urgency=medium

  * Second attempt.

  * Contributed tiny 'vdjtools' shell script to wrap invocation of jar
  * Creating link from /usr/share/java/vdjtools-$VERSION.jar to
    /usr/share/java/vdjtools.jar

 -- Steffen Moeller <moeller@debian.org>  Mon, 14 Jan 2019 12:14:12 +0100
 

vdjtools (1.1.10-1) UNRELEASED; urgency=medium

  * Initial attempt.

    This is the last release built with maven, upstream recently released
    a switch to gradle. FTBFS because of missing groovy-eclipse-compiler.

 -- Steffen Moeller <moeller@debian.org>  Fri, 06 Jul 2018 14:16:14 +0200

=== debian/control ===
Source: vdjtools
Section: non-free/science
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11), default-jdk, gradle, gradle-debian-helper
Build-Depends-Indep: groovy,
 libcommons-cli-java (>= 1.4), libcommons-io-java (>= 2.6), libcommons-lang3-java (>= 3.7),  
 libgpars-groovy-java (>= 1.2.1), libmaven-shade-plugin-java (>= 3.1.0),  
 libmilib-java (>= 1.8.4),
 libcommons-math3-java,
 junit4
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/java-team/vdjtools.git
Vcs-Browser: https://salsa.debian.org/java-team/vdjtools
Homepage: http://maven.apache.org

Package: libvdjtools-java
Architecture: all
Depends: ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Description: Java library of vdjtools
 The VDJtools are interacting with the R statistics environment
 to characterize the constitution of the immune repertoire
 of B and T cells.
 This package provides the Java library.

Package: vdjtools
Architecture: all
Depends: ${misc:Depends}, libvdjtools-java
Recommends: r-cran-ape, r-cran-ggplot2, r-cran-gplots, r-cran-mass,
 r-cran-plotrix, r-cran-rcolorbrewer, r-cran-reshape, r-cran-reshape2,
 r-cran-scales,
 r-cran-gridbase, r-cran-gridextra,
 r-cran-circlize, r-cran-venndiagram, r-cran-ffield
Description: framework for post-analysis of B/T cell repertoires
 VDJtools is an open-source Java/Groovy-based framework designed
 to facilitate analysis of immune repertoire sequencing (RepSeq)
 data. VDJtools computes a wide set of statistics and is able to perform
 various forms of cross-sample analysis. Both comprehensive tabular
 output and publication-ready plots are provided.
 .
 The main aims of the VDJtools Project are:
 .
  * To ensure consistency between post-analysis methods and results
  * To save the time of bioinformaticians analyzing RepSeq data
  * To create an API framework facilitating development of new RepSeq
    analysis applications
  * To provide a simple enough command line tool so it could be used by
    immunologists and biologists with little computational background

=== debian/rules ===
#!/usr/bin/make -f

UpstreamVersion=$(shell head -n 1 debian/changelog | cut -f2 -d\ | tr -d "()" | cut -f1 -d-)

export CLASSPATH=/usr/share/java/commons-math3.jar

%:
	dh $@

override_dh_link:
	dh_link -p vdjtools usr/share/java/vdjtools-$(UpstreamVersion).jar usr/share/java/vdjtools.jar

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .gradle

=== debian/watch ===
version=4
https://github.com/mikessh/vdjtools/releases .*/archive/v?([0-9.]*[0-9]).tar.gz

## vdjtools 1.2.1+git20190311+repack

=== debian/changelog ===
vdjtools (1.2.1+git20190311+repack-2) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * d/p/jdk-remove-collection.patch: remove unused collection class to
    resolve Java 21 ftbfs (Closes: #1057537).

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 16 Feb 2024 10:14:48 +0100

vdjtools (1.2.1+git20190311+repack-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.1+git20190311+repack:
    - Repacking to remove the gradle directory and the gradlew script
  * Using javahelper for the build
  * Setting the classpath of the built jar
  * Revising the list of (build-)dependencies
  * Setting the Section of the -java package to non-free/java
  * Adding a Comment in d/copyright to explain why the package lies in non-free
  * Simplifying d/maven.rules
  * Removing unneeded files from the debian/ directory
  * Adding a header to the patch
  * Setting /bin/sh in the shebang of our provided shell script
  * Updating the list of dependencies in the patch
  * Using maven_repo_helper to provide Maven artifacts
  * Removing the flatDir directory in build.gradle to build with a proper
    classpath
  * Preventing gradle from shipping a fat jar with bundled dependencies

  [ Andreas Tille ]
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Pierre Gruet <pgt@debian.org>  Sun, 04 Dec 2022 07:17:24 +0100

vdjtools (1.2.1+git20190311-6) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 06 Oct 2021 17:31:53 +0200

vdjtools (1.2.1+git20190311-5) unstable; urgency=high

  * Team upload
  * Reduce precision of test result to work on all architectures
    Closes: #982116

 -- Andreas Tille <tille@debian.org>  Tue, 09 Feb 2021 19:57:29 +0100

vdjtools (1.2.1+git20190311-4) unstable; urgency=medium

  * Team upload.
  * cme fix dpkg-control
  * Add missing Depends to provide java command
    Closes: #979760
  * Add salsa-ci file (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jan 2021 11:35:59 +0100

vdjtools (1.2.1+git20190311-3) UNRELEASED; urgency=medium

  * Transfer vdjtools from Java to Debian Med team

 -- tony mancill <tmancill@debian.org>  Sat, 05 Dec 2020 09:45:34 -0800

vdjtools (1.2.1+git20190311-2) unstable; urgency=medium

  * Team upload.
  * Install JAR symlink in libvdjtools-java package (Closes: #946492)
  * Configure autopkgtest (Closes: #945612)
  * Correct Homepage link
  * Freshen debian/copyright
  * Rework missing library patch for trove and enable tests
  * Update to debhelper compat level 13
  * Bump Standards-Version to 4.5.1
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Fri, 04 Dec 2020 12:33:38 -0800

=== debian/control ===
Source: vdjtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           tony mancill <tmancill@debian.org>
Section: non-free/science
XS-Autobuild: no
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               gradle-debian-helper,
               javahelper,
               maven-repo-helper
Build-Depends-Indep: groovy,
                     libcommons-lang3-java,
                     libgpars-groovy-java,
                     libmilib-java,
                     libcommons-math3-java,
                     junit4
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/vdjtools
Vcs-Git: https://salsa.debian.org/med-team/vdjtools.git
Homepage: https://github.com/mikessh/vdjtools
Rules-Requires-Root: no

Package: libvdjtools-java
Architecture: all
Section: non-free/java
Depends: ${java:Depends},
         ${misc:Depends}
Description: Java library of vdjtools
 The VDJtools are interacting with the R statistics environment
 to characterize the constitution of the immune repertoire
 of B and T cells.
 This package provides the Java library.

Package: vdjtools
Architecture: all
Depends: ${misc:Depends},
         libvdjtools-java,
         default-jre
Recommends: r-cran-ape,
            r-cran-ggplot2,
            r-cran-gplots,
            r-cran-mass,
            r-cran-plotrix,
            r-cran-rcolorbrewer,
            r-cran-reshape,
            r-cran-reshape2,
            r-cran-scales,
            r-cran-gridbase,
            r-cran-gridextra,
            r-cran-circlize,
            r-cran-venndiagram,
            r-cran-ffield
Description: framework for post-analysis of B/T cell repertoires
 VDJtools is an open-source Java/Groovy-based framework designed
 to facilitate analysis of immune repertoire sequencing (RepSeq)
 data. VDJtools computes a wide set of statistics and is able to perform
 various forms of cross-sample analysis. Both comprehensive tabular
 output and publication-ready plots are provided.
 .
 The main aims of the VDJtools Project are:
 .
  * To ensure consistency between post-analysis methods and results
  * To save the time of bioinformaticians analyzing RepSeq data
  * To create an API framework facilitating development of new RepSeq
    analysis applications
  * To provide a simple enough command line tool so it could be used by
    immunologists and biologists with little computational background

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=gradle --with javahelper,maven_repo_helper

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .gradle

override_dh_installdocs:
	dh_installdocs
	# install test fixtures
	mkdir -p  debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/tests
	cp -avp ./src/test/resources/samples/vdjtools.txt.gz debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/tests
	cp -avp debian/tests/*.expected debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/tests
